ause109: #i106293# remove 4nt from configure

This commit is contained in:
Hans-Joachim Lankenau 2009-10-26 16:04:03 +01:00
parent 220a3379d9
commit 9862e4b5ac
5 changed files with 30 additions and 163 deletions

View file

@ -21,16 +21,13 @@ if test "$BUILD_DMAKE" != "NO"; then
# Special case! The w32/tcsh build needs CC pointing to the MSVC++ compiler
# but we need a cygwin/gcc build dmake to understand the posix paths
if test "$GUI" = "WNT" -a "$USE_SHELL" != "4nt"; then
if test "$GUI" = "WNT"; then
CC=""
CXX=""
export CC
export CXX
fi
# For the W32/4nt case
rm -rf objects
# For normal unixy systems
if test -f "Makefile" ; then
$GNUMAKE distclean || exit

31
configure vendored
View file

@ -2401,9 +2401,8 @@ Optional Packages:
Supported options:
tcsh (default)
bash
4nt (windows only)
Usage: --with-use-shell=tcsh|bash|4nt
Usage: --with-use-shell=tcsh|bash
--with-build-version Allows the builder to add a custom version tag
that will appear in the Help/About box for QA
@ -4916,9 +4915,9 @@ fi
{ $as_echo "$as_me:$LINENO: checking which shell to use" >&5
$as_echo_n "checking which shell to use... " >&6; }
if test $_os = "WINNT"; then
if test "$with_use_shell" != "tcsh" -a "$with_use_shell" != "bash" -a "$with_use_shell" != "4nt"; then
{ { $as_echo "$as_me:$LINENO: error: only \"tcsh\",\"bash\" or \"4nt\" are supported options" >&5
$as_echo "$as_me: error: only \"tcsh\",\"bash\" or \"4nt\" are supported options" >&2;}
if test "$with_use_shell" != "tcsh" -a "$with_use_shell" != "bash"; then
{ { $as_echo "$as_me:$LINENO: error: only \"tcsh\" or \"bash\" are supported options" >&5
$as_echo "$as_me: error: only \"tcsh\" or \"bash\" are supported options" >&2;}
{ (exit 1); exit 1; }; }
fi
if test -L $AWK -o -L `which awk` -o -L `which tar` -o -L `which gunzip` ; then
@ -4938,7 +4937,7 @@ link, and copy the program to the name of the link." >&2;}
fi
fi
if test "$WITH_MINGWIN" = "yes" ; then
if test "$with_use_shell" = "4nt" -o "x$with_use_shell" = "x"; then
if test "x$with_use_shell" = "x"; then
with_use_shell="tcsh"
fi
if test -z "$CC"; then
@ -4947,9 +4946,9 @@ link, and copy the program to the name of the link." >&2;}
fi
fi
elif test $_os = "OS2"; then
if test "$with_use_shell" != "tcsh" -a "$with_use_shell" != "4nt"; then
{ { $as_echo "$as_me:$LINENO: error: only \"tcsh\" or \"4nt\" are supported options" >&5
$as_echo "$as_me: error: only \"tcsh\" or \"4nt\" are supported options" >&2;}
if test "$with_use_shell" != "tcsh"; then
{ { $as_echo "$as_me:$LINENO: error: only \"tcsh\" is supported options" >&5
$as_echo "$as_me: error: only \"tcsh\" is supported options" >&2;}
{ (exit 1); exit 1; }; }
fi
else
@ -4965,7 +4964,7 @@ $as_echo "$USE_SHELL" >&6; }
if test "$_os" = "WINNT" -a "$with_use_shell" != "4nt" ; then
if test "$_os" = "WINNT" ; then
{ $as_echo "$as_me:$LINENO: checking for cygwin gcc/g++" >&5
$as_echo_n "checking for cygwin gcc/g++... " >&6; }
if which gcc > /dev/null && which g++ > /dev/null ; then
@ -25526,20 +25525,10 @@ $as_echo "$as_me: error: Zip/Unzip are required to build, please install or use
fi
if test "$_os" = "WINNT"; then
if test "$with_use_shell" = "4nt" ; then
if test -z "`$ZIP -h | grep -i WinNT`" ; then
{ { $as_echo "$as_me:$LINENO: error: $ZIP found in the path is not the required native Windows Version 2.3 of Info-ZIPs zip.exe.
Probably there is a cygwin version in the path." >&5
$as_echo "$as_me: error: $ZIP found in the path is not the required native Windows Version 2.3 of Info-ZIPs zip.exe.
Probably there is a cygwin version in the path." >&2;}
{ (exit 1); exit 1; }; }
fi
else
if test -n "`$ZIP -h | grep -i WinNT`" ; then
if test -n "`$ZIP -h | grep -i WinNT`" ; then
{ { $as_echo "$as_me:$LINENO: error: $ZIP found in the path is not the required cygwin version of Info-ZIPs zip.exe." >&5
$as_echo "$as_me: error: $ZIP found in the path is not the required cygwin version of Info-ZIPs zip.exe." >&2;}
{ (exit 1); exit 1; }; }
fi
fi
fi

View file

@ -3,5 +3,5 @@ setlocal
SET MY_ANT_HOME=e:/java150/apache-ant-1.7.0
SET JAVA_HOME=e:\java150
SET PATH=%JAVA_HOME%\bin;%PATH%;%MY_ANT_HOME%\bin;
sh -c "configure --with-system-openssl --with-system-icu --with-system-libxml --with-system-libxslt --disable-werror --with-use-shell=4nt --disable-mozilla --disable-epm --disable-odk --disable-qadevooo --with-x=no --disable-fontconfig --disable-gnome-vfs --disable-gtk --with-java=yes --disable-gcjaot --without-nas --without-fonts --with-ant-home=%MY_ANT_HOME%" | tee configure.log
sh -c "configure --with-system-openssl --with-system-icu --with-system-libxml --with-system-libxslt --disable-werror --with-use-shell=bash --disable-mozilla --disable-epm --disable-odk --disable-qadevooo --with-x=no --disable-fontconfig --disable-gnome-vfs --disable-gtk --with-java=yes --disable-gcjaot --without-nas --without-fonts --with-ant-home=%MY_ANT_HOME%" | tee configure.log
endlocal

View file

@ -773,9 +773,8 @@ AC_ARG_WITH(use-shell,
Supported options:
tcsh (default)
bash
4nt (windows only)
Usage: --with-use-shell=tcsh|bash|4nt
Usage: --with-use-shell=tcsh|bash
],with_use_shell=$withval,with_use_shell="tcsh")
AC_ARG_WITH(build-version,
[ --with-build-version Allows the builder to add a custom version tag
@ -1317,14 +1316,14 @@ AC_SUBST(HYPH_SYSTEM_DIR)
AC_SUBST(THES_SYSTEM_DIR)
dnl ===================================================================
dnl WINNT uses tcsh, bash or 4nt all other O/S use tcsh or bash.
dnl all O/S use tcsh or bash.
dnl The following sets the with_use_shell variable.
dnl ===================================================================
AC_MSG_CHECKING([which shell to use])
if test $_os = "WINNT"; then
dnl ===================================================================
if test "$with_use_shell" != "tcsh" -a "$with_use_shell" != "bash" -a "$with_use_shell" != "4nt"; then
AC_MSG_ERROR([only "tcsh","bash" or "4nt" are supported options])
if test "$with_use_shell" != "tcsh" -a "$with_use_shell" != "bash"; then
AC_MSG_ERROR([only "tcsh" or "bash" are supported options])
fi
dnl ===================================================================
dnl Sanity check! Native windows programs cannot use cygwin symlinks!
@ -1356,7 +1355,7 @@ link, and copy the program to the name of the link.])
dnl If using Mingwin32 then don't use 4NT
dnl ===================================================================
if test "$WITH_MINGWIN" = "yes" ; then
if test "$with_use_shell" = "4nt" -o "x$with_use_shell" = "x"; then
if test "x$with_use_shell" = "x"; then
with_use_shell="tcsh"
fi
if test -z "$CC"; then
@ -1365,8 +1364,8 @@ link, and copy the program to the name of the link.])
fi
fi
elif test $_os = "OS2"; then
if test "$with_use_shell" != "tcsh" -a "$with_use_shell" != "4nt"; then
AC_MSG_ERROR([only "tcsh" or "4nt" are supported options])
if test "$with_use_shell" != "tcsh"; then
AC_MSG_ERROR([only "tcsh" is supported options])
fi
else
dnl ===================================================================
@ -1382,11 +1381,11 @@ AC_SUBST(USE_SHELL)
AC_SUBST(WITH_MINGWIN)
dnl ===================================================================
dnl Extra check for Windows. Non 4nt-builds need gcc to build dmake
dnl Extra check for Windows. cygwin builds need gcc to build dmake
dnl and g++ to build guw.exe although MS cl (or MinGW) is used to
dnl build OOo.
dnl ===================================================================
if test "$_os" = "WINNT" -a "$with_use_shell" != "4nt" ; then
if test "$_os" = "WINNT" ; then
AC_MSG_CHECKING([for cygwin gcc/g++])
if which gcc > /dev/null && which g++ > /dev/null ; then
AC_MSG_RESULT([found])
@ -5328,15 +5327,8 @@ dnl ===================================================================
dnl Zip must be a specific type for different build types.
dnl ===================================================================
if test "$_os" = "WINNT"; then
if test "$with_use_shell" = "4nt" ; then
if test -z "`$ZIP -h | grep -i WinNT`" ; then
AC_MSG_ERROR([$ZIP found in the path is not the required native Windows Version 2.3 of Info-ZIPs zip.exe.
Probably there is a cygwin version in the path.])
fi
else
if test -n "`$ZIP -h | grep -i WinNT`" ; then
if test -n "`$ZIP -h | grep -i WinNT`" ; then
AC_MSG_ERROR([$ZIP found in the path is not the required cygwin version of Info-ZIPs zip.exe.])
fi
fi
fi
AC_SUBST(ZIP_HOME)

View file

@ -38,8 +38,8 @@ use File::Basename;
# IIa. Declaring variables for the system commands, etc.
#--------------------------------------------------------
#
my ( $outfile, $outfile_sh, $outfile_bat, $bootfile, $newline, $comment,
$comment4nt, $compiler, $unsetenv, $setenv, $unset, $set, $ds, $ps,
my ( $outfile, $outfile_sh, $bootfile, $newline, $comment,
$compiler, $unsetenv, $setenv, $unset, $set, $ds, $ps,
$wps, $cur_dir, $par_dir, $I, $L, $D, $buildenv, $answer, $tmp, $MINGW,
$USE_MINGW, $platform,
$cygwinver, $empty, $no_ant, $no_stl, $no_gcc_include,
@ -197,7 +197,6 @@ $ENABLEUNICODE = "TRUE";
$NEW_JAR_PACK = "TRUE";
$NO_BSYMBOLIC = "TRUE";
$comment = "#"; # UNIX script comment character
$comment4nt = "rem"; # Windows 4nt script comment character
# Setting platform dependent constant values.
if ( $platform =~ m/solaris/ )
@ -676,17 +675,10 @@ elsif ( $platform =~ m/cygwin/ )
$MFC_INCLUDE = $PSDK_HOME.$ds."include".$ds."mfc";
}
}
if ( "@USE_SHELL@" ne "4nt" ) {
print "Setting W32 build with bash shell specific values... ";
# No speacial treatment for CC an CXX anymore.
$FLIPCMD = "slfl.pl";
$PATH_SEPERATOR = ';';
} else # "@USE_SHELL@" ne "4nt"
{ print "Setting W32 build with 4NT shell specific values... ";
# Change path to lower case.
$COMPATH = lc $COMPATH;
$PATH_SEPERATOR = ';';
}
}
}
elsif ( $platform =~ m/os2/ )
@ -831,10 +823,6 @@ elsif ("@USE_SHELL@" eq "bash")
$SHELL_PATH = '@SHELLPATH@';
$SHELL = '@SHELLPATH@'."\/bash";
}
elsif ("@USE_SHELL@" eq "4nt")
{ # @SHELLPATH@ is NO_SHELLPATH_NEEDED for 4nt -
$SHELL_PATH = '';
}
else {
die "Not a recognized shell: @USE_SHELL@ !";
}
@ -918,20 +906,6 @@ $COMMON_BUILD_TOOLS = '$SRC_ROOT'.$ds."external".$ds."common";
# Generate alternate output file for sh?
$outfile_sh = $outfile.".sh";
if ($GUI eq "OS2")
{
# Generate output file for 4os2?
$outfile_bat = $outfile;
$outfile_bat =~ s/set$/cmd/i;
}
elsif ("@USE_SHELL@" eq "4nt")
{
# Generate output file for 4nt?
$outfile_bat = $outfile;
$outfile_bat =~ s/set$/bat/i;
} else {
undef $outfile_bat;
}
if ($STLPORT4 ne $no_stl) {
$ps_STLPORT_LIB = $ps.'$STLPORT4'.$LIB64;
@ -1220,7 +1194,7 @@ elsif ($platform =~ m/cygwin/)
}
# Check if $SHELL_PATH is already set in PATH
$tmppath = CygFormat($SHELL_PATH);
if ( ( "@USE_SHELL@" ne "4nt" ) && ( $PATH !~ /(?:[:]|\A)(?:$tmppath)(?:[:]|\Z)/ ) )
if ( ( $PATH !~ /(?:[:]|\A)(?:$tmppath)(?:[:]|\Z)/ ) )
{ $PATH .= $ps.$tmppath;
}
# Check if $CYGWIN_PATH is already set in PATH
@ -1522,7 +1496,6 @@ print "done\n";
#
print "Setting the aliases... ";
# 1. alias for a full product make.
# ToFile will take care for the right 4nt format
$mkout = '"perl $SOLARENV/bin/mkout.pl"';
$deliver = '"perl $SOLARENV/bin/deliver.pl"';
$build = '"perl $SOLARENV/bin/build.pl"';
@ -1543,12 +1516,6 @@ open( OUT, ">$outfile" ) ||
open( OUT_SH, ">$outfile_sh" ) ||
die "Cannot open $outfile_sh: $!\n";
if(defined($outfile_bat))
{ # Create bat environment file
open( OUT_BAT, ">$outfile_bat" ) ||
die "Cannot open $outfile_bat: $!\n";
}
#
#------------------------------------------
# VII. Writing the data to the output file.
@ -1557,7 +1524,6 @@ if(defined($outfile_bat))
# Write file header.
CreateFileHeader( *OUT, $UPD, $platform, "(t)csh", "#" );
CreateFileHeader( *OUT_SH, $UPD, $platform, "sh/bash/ksh", "#" );
CreateFileHeader( *OUT_BAT, $UPD, $platform, "4nt", "rem" ) if defined($outfile_bat);
ToFile( "SRC_ROOT", $SRC_ROOT, "e" );
ToFile( "SHELL", $SHELL, "e" );
@ -1986,12 +1952,8 @@ if ( $platform =~ m/os2/ )
}
# $perlpre is only used for the following three variables
# and only set for 4nt.
# and only set for OS2.
my $perlpre = "";
if (( $platform =~ m/cygwin/ ) and ( '@USE_SHELL@' eq "4nt" )) {
ToFile( "HOME", " ", "e" );
$perlpre = "perl ".${SOLARENV}.${BIN}.${ds};
}
if (( $platform =~ m/os2/ )) {
$perlpre = "perl ".${SOLARENV}.${BIN}.${ds};
}
@ -2026,23 +1988,8 @@ if ( $platform =~ m/os2/ )
ToFile( "endif", $empty, "y");
ToFile( "fi", $empty, "z");
# write make command for dmake for W32-4nt
if ( $platform =~ m/cygwin/ and '@USE_SHELL@' eq "4nt" )
{
ToFile( "build the dmake executable.", $empty, "c");
ToFile( "if not exist \%SOLARENV\\\%OUTPATH\\bin\\dmake.exe (cd \%SRC_ROOT\\dmake \^ set INCLUDE=\%COMPATH\\include;\%PSDK_HOME\\include \^ set LIB=\%COMPATH\\lib;\%PSDK_HOME\\lib \^ call make.bat win95-vpp40 \^ cd \%SRC_ROOT)", $empty, "x");
ToFile( "if not exist \%SOLARENV\\\%OUTPATH\\bin\\dmake.exe ( mkdir /S \%SOLARENV\\\%OUTPATH\\bin \^ copy dmake\\dmake.exe \%SOLARENV\\\%OUTPATH\\bin\\dmake.exe )", $empty, "x");
ToFile( "\@echo Warning! LIB and INCLUDE will be cleared!", $empty, "x");
ToFile( "\@unset INCLUDE LIB", $empty, "x");
ToFile( "check for correct dmake.", $empty, "c");
ToFile( '@if "%@SEARCH[dmake]" == "" ( @echo dmake not build or missing! Invalid build environment! ^ unset SOLARENV ^ cancel )', $empty, "x");
ToFile( '@dmake -V > dmakecheck.out', $empty, "x");
ToFile( '@ffind /Tcygwin /C /B dmakecheck.out && ( @echo Found cygwin build dmake! Invalid! ^ unset SOLARENV ^ cancel )', $empty, "x");
ToFile( " ", $empty, "x");
}
# Check if the right dmake version is used. (W32-tcsh only)
if ( $platform =~ m/cygwin/ and '@USE_SHELL@' ne "4nt" ) {
# Check if the right dmake version is used. (W32 only)
if ( $platform =~ m/cygwin/ ) {
ToFile( "Check if the right dmake version is used.", $empty, "c" );
# Invalidate build environment.
ToFile( "WORK_STAMP", "_invalid_", "e" );
@ -2075,9 +2022,6 @@ print OUT $unsetvars;
print OUT_SH "export $exportvars$newline";
print OUT_SH "unset $unsetvarssh$newline";
if(defined($outfile_bat))
{ print OUT_BAT $unsetvarsbat;
}
#
#---------------------------
@ -2088,10 +2032,6 @@ close( OUT ) || print "Can't close $outfile: $!";
close( OUT_SH ) || print "Can't close $outfile_sh: $!";
if( defined($outfile_bat))
{ close( OUT_BAT ) || print "Can't close $outfile_bat: $!";
}
#
#------------------------------
# IX. Sourcing the output file.
@ -2115,14 +2055,6 @@ if (rename( $outfile_sh, $tmp ) ne 1)
{ `mv -f $outfile_sh $tmp`;
}
if(defined($outfile_bat))
{
$tmp = $SRC_ROOT.$ds.$outfile_bat;
if (rename( $outfile_bat, $tmp ) ne 1)
{ `mv -f $outfile_bat $tmp`;
}
}
#
#--------------------------------------------------------
# XII. Message at the end.
@ -2178,9 +2110,7 @@ if (rename( $bootfile, $tmp ) ne 1)
}
print "Configure completed\n";
if ( "@USE_SHELL@" ne "4nt" ) {
print "You may now run ./bootstrap in $SRC_ROOT\n";
}
print "You may now run ./bootstrap in $SRC_ROOT\n";
if ( $Warning ne "" ) {
print "***** WARNINGS ISSUED *****\n";
}
@ -2201,7 +2131,7 @@ if ( $Warning ne "" ) {
#-------------------------------------------------------------
sub CheckPathName
{ my $retrn = $_[ 0 ];
if (($platform =~ m/cygwin/) or ( '@USE_SHELL@' ne "4nt" ))
if ($platform =~ m/cygwin/)
{ # Check if the first character is not a '/'.
if ( !( $_[ 0 ] =~ /^\// ) )
{ $retrn = $ds.$_[ 0 ];
@ -2277,21 +2207,6 @@ sub ToFile {
if (defined $_[ 1 ] && $_[ 1 ] ne "" ) {
my $envvar = $_[ 1 ];
my $envvarbash = $envvar;
if ("@USE_SHELL@" eq "4nt" ) {
# expand the variables
$envvar =~ s/(\$\{?\w+\}?)/$1/eeg ;
# Some variables need to be translated
if ( ($_[ 0 ] =~ /^PATH$/) and ($platform !~ m/os2/) ) {
# PATH is in cygwin format, but for 4nt it needs to be DOS.
$win_format_var = WinPath( $envvar, ":" );
} else {
$win_format_var = WinFormat( $envvar );
}
# The excluded variables are translated by cygwin
if ( $_[ 0 ] !~ /^PATH$|^TMP$|^TEMP$|^TMPDIR$|^HOME$/i ) {
$envvar = $win_format_var;
}
}
# Tcsh/bash needs backslashes quoted
$envvar =~ s/\\/\\\\/g;
@ -2302,17 +2217,10 @@ sub ToFile {
print OUT_SH "$_[ 0 ]=\"$envvarbash\"$newline"; # to sh file
$exportvars .= " $_[ 0 ]"; # add to export list for sh file
if(defined($outfile_bat)) {
print OUT_BAT "IF DEFINED $_[ 0 ] $unset $_[ 0 ]$newline";
print OUT_BAT "$set $_[ 0 ]=$win_format_var$newline";
}
} else {
printf("%-12s %-17s %-10s %s\n", "The variable", $_[ 0 ], "is set to:", "unset") ; # to stdout
$unsetvars .= "$unsetenv $_[ 0 ] >& /dev/null$newline"; # for tcsh file
$unsetvarssh .= " $_[ 0 ]"; # for sh file
if(defined($outfile_bat)) {
$unsetvarsbat .= "$unset $_[ 0 ] >& NUL$newline";
}
}
}
elsif ( $_[ 2 ] eq "a" )
@ -2320,13 +2228,6 @@ sub ToFile {
print "The $_[ 0 ] is set to: $_[ 1 ]\n"; # to stdout
print OUT "$_[ 0 ] $_[ 1 ]$newline"; # to tcsh file
print OUT_SH "$_[ 0 ]=$_[ 1 ]$newline"; # to sh file
if(defined($outfile_bat)) # create the correct 4nt alias format
{ my $aliastmp = $_[ 1 ];
$aliastmp =~ s/\$/\%/g;
$aliastmp =~ s!/!\\!g;
$aliastmp =~ s!"!!g;
print OUT_BAT "$_[ 0 ]=".'`'.$aliastmp.'`'.$newline;
}
}
elsif ( $_[ 2 ] eq "c" )
{ # Write a comment to file.
@ -2342,23 +2243,11 @@ sub ToFile {
print OUT_SH "$comment$newline";
print OUT_SH "$comment $_[ 0 ]$newline";
print OUT_SH "$comment$newline";
if(defined($outfile_bat)) {
print OUT_BAT "$newline";
print OUT_BAT "$comment4nt$newline";
print OUT_BAT "$comment4nt $_[ 0 ]$newline";
print OUT_BAT "$comment4nt$newline";
}
}
elsif ( $_[ 2 ] eq "n" )
{ #Write a newline to a file
print OUT "$newline";
print OUT_SH "$newline";
print OUT_BAT "$newline" if defined($outfile_bat);
}
elsif ( $_[ 2 ] eq "x" )
{
#Write first argument as is, and nothing else
print OUT_BAT "$_[ 0 ]$newline" if defined($outfile_bat);
}
elsif ( $_[ 2 ] eq "y" )
{